package com.mosty.rzzx.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.rzzx.TbRzXtfkInsertDto;
import com.mosty.base.model.entity.rzzx.TbRzXtfk;
import com.mosty.base.model.query.rzzx.TbRzXtfkQueryDto;
import io.swagger.annotations.ApiOperation;

/**
 * @author dw
 * @since 2022/8/4
 **/
public interface TbRzXtfkService {

    @ApiOperation("新增系统反馈日志")
    int insertEntity(TbRzXtfkInsertDto dto);

    @ApiOperation("查询系统反馈日志详情接口")
    TbRzXtfk getInfo(String id);

    @ApiOperation("查询系统反馈日志分页列表")
    IPage<TbRzXtfk> getList(TbRzXtfkQueryDto dto);

    @ApiOperation("更新系统反馈日志")
    Boolean updateEntity(TbRzXtfkInsertDto dto);

    @ApiOperation("删除系统反馈日志")
    void deleteEntity(String id);

}
